{-# LANGUAGE MultiParamTypeClasses, FunctionalDependencies #-}

-- | A measurement that is represented by a floating-point value that can be converted by differing units.
module Data.Measure.ConvertDouble where

class ConvertDouble u v | u -> v where
  (..>) :: Double -> u -> v -- ^ Convert to a unit of measurement.
  (<..) :: v -> u -> Double -- ^ Convert from a unit of measurement.
